Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.interfacce
Interface RichiestaPrenotazionePacchetto

All Superinterfaces:
  CreatePrenotation, RoomAvailability

All Known Implementing Classes:
  PRequestPacchettoManager

    public interface RichiestaPrenotazionePacchetto

extends CreatePrenotation

L'interfaccia è implementata dalla classe `PRequestPacchettoManager` le cui istanze permettono di mostrare un elenco di pacchetti , di mostrare dettagli di un villaggio richiedere dati del cliente ed estende l'interfaccia `CreatePrenotation`

Method Summary
`boolean` | `addInListaAttesa(int n, java.lang.String cognome)` Aggiunge in lista di attessa
`Cliente` | `requestInformation(java.lang.String c, java.lang.String n, java.lang.String t, Carta carta)` Ricerca nell' archivio il cliente se non lo trova lo aggiunge
`java.lang.String[]` | `showDetails(java.lang.String nome, int sett)` Mostra dettagli di un particolare villaggio
`java.lang.String[]` | `showList()` Mostra elenco dei pacchetti

Methods inherited from interface archive.interfacce.CreatePrenotation
`doPrenotation`

Methods inherited from interface archive.interfacce.RoomAvailability
`anyWeekAvaible, getFreeRoom, isAvaible`

Method Detail

### showList

    java.lang.String[] showList()

  Mostra elenco dei pacchetti

  Returns:
    un array di stringhe con l'elenco dei pacchetti

### showDetails

    java.lang.String[] showDetails(java.lang.String nome,
                                   int sett)

  Mostra dettagli di un particolare villaggio

  Parameters:
    `nome` - nome villaggio
    `sett` - numero della settimana
  Returns:
    String[] con i dettagli

### requestInformation

    Cliente requestInformation(java.lang.String c,
                               java.lang.String n,
                               java.lang.String t,
                               Carta carta)

  Ricerca nell' archivio il cliente se non lo trova lo aggiunge

  Parameters:
    `c` - cognome
    `n` - nome
    `t` - telefono
    `carta` - carta di credito
  Returns:
    Cliente
  Throws:
    `java.lang.IllegalArgumentException` - se la carta non e' valida

### addInListaAttesa

    boolean addInListaAttesa(int n,
                             java.lang.String cognome)

  Aggiunge in lista di attessa

  Parameters:
    `n` - numero settimana
    `cognome` - cognome cliente
  Returns:
    true se aggiunto in lista d'attessa

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD